Summary:   A subversion client for the KDE with TDEIO integration.
Name:      tdesvn
Version:   1.0.4
Release:   1%{?dist}
License:   LGPL
Vendor:    Rajko Albrecht <ral@alwins-world.de>
Url:       http://tdesvn.alwins-world.de
Group:     Development/Tools
Source:    tdesvn-%version.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: /usr/bin/dot
BuildRequires: apr-devel
BuildRequires: apr-util-devel
BuildRequires: subversion-devel >= 1.3.0
BuildRequires: cmake >= 2.4
BuildRequires: sqlite-devel
BuildRequires: tdelibs-devel >= 3.4

%description
Kdesvn is a subversion client for KDE.
It may used as standalone application or plugin (KPart). Base functions are provided
via a TDEIO protocol, too.

%package tdeiosvn
Requires: tdesvn = %{version}
Group:    Development/Tools
Summary:  A kde-tdeio integration for subversion based on tdesvn

%description tdeiosvn
TDEIO integration (TDEIO::svn) based on tdesvn alternative protocol name.

%package devel
Group:    Development/Libraries
Summary:  Wrapper lib for subversion QT integration.
Requires: subversion-devel >= 1.2.0
Requires: tdesvn = %{version}

%description devel
Development files for tdesvn.

%prep
%setup -q
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=`/opt/trinity` -DCMAKE_BUILD_TYPE=Release -DLIB_SUFFIX=`` -DCMAKE_INCLUDE_PATH=`/opt/trinity/include/tde` -DCMAKE_LIBRARY_PATH=`/opt/trinity/lib`

%build
cd build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
cd build
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
gzip $RPM_BUILD_ROOT/%{_datadir}/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/tdesvn


%files
%defattr(-,root,root)
%{_bindir}/tdesvn
%{_bindir}/tdesvnaskpass
%{_libdir}/*/*part*
%{_datadir}/applications/*
%{_datadir}/apps/tdesvn/*
%{_datadir}/apps/tdesvnpart/*
%{_datadir}/apps/tdeconf_update/*
%{_datadir}/config.kcfg/*
%{_datadir}/doc/*
%{_datadir}/icons/*
%{_datadir}/locale/*
%{_libdir}/*/kded_tdesvnd.*
%{_datadir}/services/kded/tdesvnd.desktop
%{_datadir}/apps/konqueror/servicemenus/tdesvn*
%{_libdir}/*/tdeio_ksvn*
%{_datadir}/services/ksvn*.protocol
%{_datadir}/man/man1/*
%{_libdir}/libsvnqt*.so*
%doc AUTHORS ChangeLog GPL.txt TODO COPYING COPYING.OpenSSL

%files tdeiosvn
%defattr(-,root,root)
%{_datadir}/services/svn*.protocol

%files devel
%defattr(-,root,root)
%{_includedir}/svnqt/*

%changelog
